0

Is it possible have version 5 & 8 of Drush installed and to use a preferred version?

I am running an ubuntu server on which I have Drush5 installed. My attempts to remove is results in the following:

sudo apt-get autoremove drush -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-extra-3.13.0-91-generic : Depends: linux-image-3.13.0-91-generic but it is not going to be installed
 linux-image-extra-3.13.0-95-generic : Depends: linux-image-3.13.0-95-generic but it is not going to be installed
 linux-image-generic : Depends: linux-image-3.13.0-95-generic but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

All attempts to deal with that issue have been unsuccessful.

So, I'm just wondering if both versions can be installed and used independently?

1
  • I would install a virtual machine for different environment...
    – Jimmy Ko
    Sep 19, 2016 at 14:24

1 Answer 1

2

Yes.

alias drush5='~/drush5/drush'
alias drush6='~/drush6/vendor/bin/drush'
alias drush7='~/drush7/vendor/bin/drush'
alias drush8='~/drush8/vendor/bin/drush'

You will get help from Switching Drush Versions.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.